Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 623435 - Error on pulp packagegroup install
Error on pulp packagegroup install
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Retired
Component: z_other (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: John Matthews
Preethi Thomas
:
Depends On:
Blocks: verified-to-close
  Show dependency treegraph
 
Reported: 2010-08-11 15:18 EDT by Preethi Thomas
Modified: 2011-08-16 10:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-16 10:01:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2010-08-11 15:18:20 EDT
Description of problem:

packagegroup install erroring out.

[root@preethi pulp]# pulp -u admin -p admin packagegroup install
Traceback (most recent call last):
  File "/usr/bin/pulp", line 24, in <module>
    pulpcli.PulpCore().main()
  File "/usr/lib/python2.6/site-packages/pulptools/pulpcli.py", line 38, in __init__
    self.cli_cores[self.args[1]] = self._load_core(self.args[1])()
  File "/usr/lib/python2.6/site-packages/pulptools/core/core_packagegroup.py", line 49, in __init__
    BaseCore.__init__(self, "packagegroup", usage, shortdesc, desc)
  File "/usr/lib/python2.6/site-packages/pulptools/core/basecore.py", line 34, in __init__
    self._add_common_options()
  File "/usr/lib/python2.6/site-packages/pulptools/core/basecore.py", line 53, in _add_common_options
    help=help)
  File "/usr/lib64/python2.6/optparse.py", line 1020, in add_option
    self._check_conflict(option)
  File "/usr/lib64/python2.6/optparse.py", line 995, in _check_conflict
    option)
optparse.OptionConflictError: option -p/--password: conflicting option string(s): -p
[root@preethi pulp]#
Comment 1 Pradeep Kilambi 2010-08-17 11:01:45 EDT
this should be fixed. re-test.
Comment 2 Preethi Thomas 2010-08-25 11:12:10 EDT
The above error has been fixed. But packagegroup install still fails. logs & errors as below

[root@preethi ~]# pulp-admin -u admin -p admin packagegroup install -g preethi --consumerid=preethi.usersys.redhat.com
"Traceback (most recent call last):\n  File \"/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/base.py\", line 51, in report_error\n    return method(self, *args, **kwargs)\n  File \"/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/consumers.py\", line 310, in POST\n    return action(id)\n  File \"/usr/lib/python2.6/site-packages/pulp/server/webservices/role_check.py\", line 105, in check_roles\n    ret=f(instance, *fargs, **kw)\n  File \"/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/consumers.py\", line 272, in installpackagegroups\n    return self.ok(api.installpackagegroups(id, ids))\n  File \"/usr/lib/python2.6/site-packages/pulp/server/auditing.py\", line 186, in _audit\n    result = method(*args, **kwargs)\n  File \"/usr/lib/python2.6/site-packages/pulp/server/api/consumer.py\", line 209, in installpackagegroups\n    agent.packagegroups.install(packageids)\n  File \"/usr/lib/python2.6/site-packages/pulp/messaging/stub.py\", line 69, in __call__\n    return self.stub._send(request, opts)\n  File \"/usr/lib/python2.6/site-packages/pulp/messaging/stub.py\", line 111, in _send\n    any=opts.any)\n  File \"/usr/lib/python2.6/site-packages/pulp/messaging/policy.py\", line 121, in send\n    return self.__getreply(sn)\n  File \"/usr/lib/python2.6/site-packages/pulp/messaging/policy.py\", line 146, in __getreply\n    raise Exception, reply.exval\nException: Traceback (most recent call last):\n\n  File \"/usr/lib/python2.6/site-packages/pulp/messaging/dispatcher.py\", line 180, in __call__\n    retval = method(*args, **keywords)\n\n  File \"/usr/lib/python2.6/site-packages/pulp/client/agent/remote.py\", line 90, in install\n    txmbrs = yb.selectGroup(grp_id)\n\n  File \"/usr/lib/python2.6/site-packages/yum/__init__.py\", line 2457, in selectGroup\n    raise Errors.GroupsError, _(\"No Group named %s exists\") % grpid\n\nGroupsError: No Group named preethi exists\n\n"
[root@preethi ~]# 


[root@preethi ~]# pulp-admin -u admin -p admin packagegroup info --id=preethi --repoid=f13
+-------------------------------------------+
Package Group Information
+-------------------------------------------+

Name                	preethi                  
Id                  	preethi                  
Mandatory packages  	[]                       
Default packages    	[u'zsh']                 
Optional packages   	[]                       
Conditional packages	{}      

[root@preethi ~]# pulp-admin -u admin -p admin consumer list
+-------------------------------------------+
    Consumer Information 
+-------------------------------------------+

Id                 	preethi.usersys.redhat.com
Description        	consumer1                
Subscribed Repos   	/pulp/api/consumers/preethi.usersys.redhat.com/repoids/
Profile            	https://preethi:443/pulp/api/consumers/preethi.usersys.redhat.com/package_profile/


Id                 	pthomas.rsu.redhat.com   
Description        	consumer2                
Subscribed Repos   	/pulp/api/consumers/pthomas.rsu.redhat.com/repoids/
Profile            	https://preethi:443/pulp/api/consumers/pthomas.rsu.redhat.com/package_profile/


Id                 	pthomas.rdu.redhat.com   
Description        	consumer2                
Subscribed Repos   	/pulp/api/consumers/pthomas.rdu.redhat.com/repoids/
Profile            	https://preethi:443/pulp/api/consumers/pthomas.rdu.redhat.com/package_profile/



pulp.log


[root@preethi ~]# tail -f /var/log/pulp/pulp.log


2010-08-25 11:18:58,920  consumers.py POST.  Action: installpackagegroups
2010-08-25 11:18:58,922  

Role checking start, function: <function installpackagegroups at 0x7f0b10f627d0>
2010-08-25 11:18:58,923  Role Name [admin], check? [True]
2010-08-25 11:18:58,924  Role Name [consumer_id], check? [True]
2010-08-25 11:18:58,926  Checking username/pass
2010-08-25 11:18:58,927  auth_string string: Basic YWRtaW46YWRtaW4=
2010-08-25 11:18:58,929  Username: admin hashed password: admin
2010-08-25 11:18:58,931  Stored user password: tAbwnM1iUpM=,yCRiVKTqpdMTbOcpgAd9UBivvVJMyoDOq72RqCyfCvg=
2010-08-25 11:18:59,015  Good Password? [True]
2010-08-25 11:18:59,016  admin access granted: True
2010-08-25 11:18:59,018  SSL k: SSL_VERSION_INTERFACE, v: mod_ssl/2.2.15
2010-08-25 11:18:59,019  SSL k: SSL_SERVER_I_DN_OU, v: SomeOrganizationalUnit
2010-08-25 11:18:59,020  SSL k: SSL_CIPHER_EXPORT, v: false
2010-08-25 11:18:59,022  SSL k: SSL_SERVER_S_DN_Email, v: root@preethi
2010-08-25 11:18:59,023  SSL k: SSL_SERVER_A_KEY, v: rsaEncryption
2010-08-25 11:18:59,025  SSL k: SSL_SERVER_S_DN_ST, v: SomeState
2010-08-25 11:18:59,026  SSL k: SSL_SERVER_S_DN, v: /C=--/ST=SomeState/L=SomeCity/O=SomeOrganization/OU=SomeOrganizationalUnit/CN=preethi/emailAddress=root@preethi
2010-08-25 11:18:59,027  SSL k: SSL_CIPHER, v: DHE-RSA-AES256-SHA
2010-08-25 11:18:59,029  SSL k: SSL_SERVER_V_START, v: Jul 26 19:45:38 2010 GMT
2010-08-25 11:18:59,030  SSL k: SSL_CLIENT_VERIFY, v: NONE
2010-08-25 11:18:59,031  SSL k: SSL_SERVER_I_DN_ST, v: SomeState
2010-08-25 11:18:59,033  SSL k: SSL_CIPHER_ALGKEYSIZE, v: 256
2010-08-25 11:18:59,034  SSL k: SSL_SECURE_RENEG, v: true
2010-08-25 11:18:59,035  SSL k: SSL_SERVER_I_DN_C, v: --
2010-08-25 11:18:59,037  SSL k: SSL_COMPRESS_METHOD, v: DEFLATE
2010-08-25 11:18:59,038  SSL k: SSL_SERVER_I_DN_L, v: SomeCity
2010-08-25 11:18:59,039  SSL k: SSL_SERVER_I_DN_O, v: SomeOrganization
2010-08-25 11:18:59,041  SSL k: SSL_SERVER_M_SERIAL, v: 2D24
2010-08-25 11:18:59,042  SSL k: SSL_CLIENT_CERT, v: 
2010-08-25 11:18:59,043  SSL k: SSL_SERVER_S_DN_OU, v: SomeOrganizationalUnit
2010-08-25 11:18:59,045  SSL k: SSL_VERSION_LIBRARY, v: OpenSSL/1.0.0a-fips
2010-08-25 11:18:59,046  SSL k: SSL_SERVER_S_DN_O, v: SomeOrganization
2010-08-25 11:18:59,047  SSL k: SSL_SERVER_CERT, v: -----BEGIN CERTIFICATE-----
MIIDBzCCAnCgAwIBAgICLSQwDQYJKoZIhvcNAQEFBQAwgZ8xCzAJBgNVBAYTAi0t
MRIwEAYDVQQIDAlTb21lU3RhdGUxETAPBgNVBAcMCFNvbWVDaXR5MRkwFwYDVQQK
DBBTb21lT3JnYW5pemF0aW9uMR8wHQYDVQQLDBZTb21lT3JnYW5pemF0aW9uYWxV
bml0MRAwDgYDVQQDDAdwcmVldGhpMRswGQYJKoZIhvcNAQkBFgxyb290QHByZWV0
aGkwHhcNMTAwNzI2MTk0NTM4WhcNMTEwNzI2MTk0NTM4WjCBnzELMAkGA1UEBhMC
LS0xEjAQBgNVBAgMCVNvbWVTdGF0ZTERMA8GA1UEBwwIU29tZUNpdHkxGTAXBgNV
BAoMEFNvbWVPcmdhbml6YXRpb24xHzAdBgNVBAsMFlNvbWVPcmdhbml6YXRpb25h
bFVuaXQxEDAOBgNVBAMMB3ByZWV0aGkxGzAZBgkqhkiG9w0BCQEWDHJvb3RAcHJl
ZXRoaTCBnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEAs0IdDvBrqeBLYktUQLQY
RZXrjeG9rHFIsCAD2pDILZ60CTk/oTYnvoEJDz1+1nrPOnnPh7++BazCgjtiKnRr
rtJRKVGBGbP1EGaUR8wfIdkRQv8br1uPqEYskjZP8cVUvuY7xZEFJlVvOnNWutdA
AQyS4xOHWjUOM8s392z3uGcCAwEAAaNQME4wHQYDVR0OBBYEFMMKyOgL25u5tHQW
smcFW2XckbQiMB8GA1UdIwQYMBaAFMMKyOgL25u5tHQWsmcFW2XckbQiMAwGA1Ud
EwQFMAMBAf8wDQYJKoZIhvcNAQEFBQADgYEAef2S8XQ4B9m37CSbDEqOPZtpr+D0
3lbEjNLqVwSFyAwIbe8QZxglYrA5mxI2kQduQ6fKT2Dh3C5XQ+2FR/Ti24oGHtZL
tKmooQir/WL52N1E1gdmDxRkOPHLfpTTE/egwgpGekU9mU+v5ZbEHjXqo6S8dh4n
r9sDEvG+vBXy7Jk=
-----END CERTIFICATE-----

2010-08-25 11:18:59,051  SSL k: SSL_SERVER_A_SIG, v: sha1WithRSAEncryption
2010-08-25 11:18:59,053  SSL k: SSL_SERVER_S_DN_L, v: SomeCity
2010-08-25 11:18:59,054  SSL k: SSL_SERVER_M_VERSION, v: 3
2010-08-25 11:18:59,055  SSL k: SSL_SERVER_S_DN_C, v: --
2010-08-25 11:18:59,057  SSL k: SSL_SERVER_I_DN_Email, v: root@preethi
2010-08-25 11:18:59,058  SSL k: SSL_CIPHER_USEKEYSIZE, v: 256
2010-08-25 11:18:59,059  SSL k: SSL_SERVER_I_DN_CN, v: preethi
2010-08-25 11:18:59,061  SSL k: SSL_SERVER_V_END, v: Jul 26 19:45:38 2011 GMT
2010-08-25 11:18:59,062  SSL k: SSL_PROTOCOL, v: TLSv1
2010-08-25 11:18:59,063  SSL k: SSL_SERVER_S_DN_CN, v: preethi
2010-08-25 11:18:59,065  SSL k: SSL_SERVER_I_DN, v: /C=--/ST=SomeState/L=SomeCity/O=SomeOrganization/OU=SomeOrganizationalUnit/CN=preethi/emailAddress=root@preethi
2010-08-25 11:18:59,066  parsed ID CERT: Certificate:
    Data:
        Version: 1 (0x0)
        Serial Number: 0 (0x0)
        Signature Algorithm: itu-t
        Issuer: 
        Validity
            Not Before: Bad time value
2010-08-25 11:18:59,069  Consumer UID not found in certificate.  Not a valid Consumer certificate
2010-08-25 11:18:59,070  consumer_access_granted? False 
2010-08-25 11:18:59,071  AAG: True, CAG: False
2010-08-25 11:18:59,073  check_roles : Access granted
2010-08-25 11:18:59,075  {98352fc9-bc15-477a-8e8c-0ccbc25010ae} connected to AMQP
2010-08-25 11:18:59,080  {98352fc9-bc15-477a-8e8c-0ccbc25010ae} opening 98352fc9-bc15-477a-8e8c-0ccbc25010ae;{create:always,delete:receiver,node:{type:queue},link:{durable:True}}
2010-08-25 11:18:59,127  {0b215dd5-424f-4f23-a50c-7a75127257f8} connected to AMQP
2010-08-25 11:18:59,173  {0b215dd5-424f-4f23-a50c-7a75127257f8} sent (preethi.usersys.redhat.com;{create:always,node:{type:queue,durable:True},link:{durable:True}})
{
  "origin": "0b215dd5-424f-4f23-a50c-7a75127257f8", 
  "window": {}, 
  "version": "0.1", 
  "sn": "33202a97-6c0f-4cef-9d02-7dc62d9aac68", 
  "replyto": "98352fc9-bc15-477a-8e8c-0ccbc25010ae;{create:always,delete:receiver,node:{type:queue},link:{durable:True}}", 
  "request": {
    "classname": "PackageGroups", 
    "kws": {}, 
    "args": [
      [
        "preethi"
      ]
    ], 
    "method": "install"
  }, 
  "any": null
}
2010-08-25 11:18:59,182  {98352fc9-bc15-477a-8e8c-0ccbc25010ae} searching for: sn=33202a97-6c0f-4cef-9d02-7dc62d9aac68
2010-08-25 11:18:59,201  {98352fc9-bc15-477a-8e8c-0ccbc25010ae} read next:
{
  "origin": "93500fab-75ed-41a6-b0c2-7607566434b4", 
  "status": "started", 
  "version": "0.1", 
  "sn": "33202a97-6c0f-4cef-9d02-7dc62d9aac68", 
  "any": null
}
2010-08-25 11:18:59,206  {98352fc9-bc15-477a-8e8c-0ccbc25010ae} search found:
{
  "origin": "93500fab-75ed-41a6-b0c2-7607566434b4", 
  "status": "started", 
  "version": "0.1", 
  "sn": "33202a97-6c0f-4cef-9d02-7dc62d9aac68", 
  "any": null
}
2010-08-25 11:18:59,211  request (33202a97-6c0f-4cef-9d02-7dc62d9aac68), started
2010-08-25 11:18:59,212  {98352fc9-bc15-477a-8e8c-0ccbc25010ae} searching for: sn=33202a97-6c0f-4cef-9d02-7dc62d9aac68
2010-08-25 11:18:59,962  {98352fc9-bc15-477a-8e8c-0ccbc25010ae} read next:
{
  "origin": "93500fab-75ed-41a6-b0c2-7607566434b4", 
  "version": "0.1", 
  "result": {
    "exval": "Traceback (most recent call last):\n\n  File \"/usr/lib/python2.6/site-packages/pulp/messaging/dispatcher.py\", line 180, in __call__\n    retval = method(*args, **keywords)\n\n  File \"/usr/lib/python2.6/site-packages/pulp/client/agent/remote.py\", line 90, in install\n    txmbrs = yb.selectGroup(grp_id)\n\n  File \"/usr/lib/python2.6/site-packages/yum/__init__.py\", line 2457, in selectGroup\n    raise Errors.GroupsError, _(\"No Group named %s exists\") % grpid\n\nGroupsError: No Group named preethi exists\n"
  }, 
  "any": null, 
  "sn": "33202a97-6c0f-4cef-9d02-7dc62d9aac68"
}
2010-08-25 11:18:59,968  {98352fc9-bc15-477a-8e8c-0ccbc25010ae} search found:
{
  "origin": "93500fab-75ed-41a6-b0c2-7607566434b4", 
  "version": "0.1", 
  "result": {
    "exval": "Traceback (most recent call last):\n\n  File \"/usr/lib/python2.6/site-packages/pulp/messaging/dispatcher.py\", line 180, in __call__\n    retval = method(*args, **keywords)\n\n  File \"/usr/lib/python2.6/site-packages/pulp/client/agent/remote.py\", line 90, in install\n    txmbrs = yb.selectGroup(grp_id)\n\n  File \"/usr/lib/python2.6/site-packages/yum/__init__.py\", line 2457, in selectGroup\n    raise Errors.GroupsError, _(\"No Group named %s exists\") % grpid\n\nGroupsError: No Group named preethi exists\n"
  }, 
  "any": null, 
  "sn": "33202a97-6c0f-4cef-9d02-7dc62d9aac68"
}
2010-08-25 11:18:59,993  Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/base.py", line 51, in report_error
    return method(self, *args, **kwargs)
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/consumers.py", line 310, in POST
    return action(id)
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/role_check.py", line 105, in check_roles
    ret=f(instance, *fargs, **kw)
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/consumers.py", line 272, in installpackagegroups
    return self.ok(api.installpackagegroups(id, ids))
  File "/usr/lib/python2.6/site-packages/pulp/server/auditing.py", line 186, in _audit
    result = method(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/pulp/server/api/consumer.py", line 209, in installpackagegroups
    agent.packagegroups.install(packageids)
  File "/usr/lib/python2.6/site-packages/pulp/messaging/stub.py", line 69, in __call__
    return self.stub._send(request, opts)
  File "/usr/lib/python2.6/site-packages/pulp/messaging/stub.py", line 111, in _send
    any=opts.any)
  File "/usr/lib/python2.6/site-packages/pulp/messaging/policy.py", line 121, in send
    return self.__getreply(sn)
  File "/usr/lib/python2.6/site-packages/pulp/messaging/policy.py", line 146, in __getreply
    raise Exception, reply.exval
Exception: Traceback (most recent call last):

  File "/usr/lib/python2.6/site-packages/pulp/messaging/dispatcher.py", line 180, in __call__
    retval = method(*args, **keywords)

  File "/usr/lib/python2.6/site-packages/pulp/client/agent/remote.py", line 90, in install
    txmbrs = yb.selectGroup(grp_id)

  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 2457, in selectGroup
    raise Errors.GroupsError, _("No Group named %s exists") % grpid

GroupsError: No Group named preethi exists
Comment 4 dgao 2010-11-05 13:34:00 EDT
Same issue is found.


[root@pulp-nightly yum.repos.d]# pulp-admin packagegroup info --id=test_grp --repoid=test
+------------------------------------------+
          Package Group Information
+------------------------------------------+

Name                    test_grp                 
Id                      test_grp                 
Mandatory packages      []                       
Default packages        [u'emoticons', u'patb']  
Optional packages       []                       
Conditional packages    {}                       


[root@pulp-nightly yum.repos.d]# pulp-admin packagegroup install --consumerid=foo --id=test_grp
Created task id: 9d826c23-e902-11df-ac2a-5452004836fa
.
Package group install failed


From pulp.log:

2010-11-05 13:32:09,141 [ERROR][asynctaskreplyqueue] failed() @ task.py:205 - Task id:9d826c23-e902-11df-ac2a-5452004836fa, method_name:install:
(Exception('Traceback (most recent call last):\n\n  File "/usr/lib/python2.6/site-packages/pulp/messaging/dispatcher.py", line 180, in __call__\n    retval = method(*args, **keywords
pulp/client/agent/plugins/remote.py", line 96, in install\n    txmbrs = yb.selectGroup(grp_id)\n\n  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 2457, in selectGroup
med %s exists") % grpid\n\nGroupsError: No Group named test_grp exists\n',),)
Comment 5 John Matthews 2010-11-05 23:20:23 EDT
From what I can see this is only happening on repos we create from scratch, i.e. empty repos we upload packages to.

repo['repomd_xml_path'] is not being set, therefore metadata for packagegroups
is not being updated.
Comment 6 John Matthews 2010-11-08 10:35:38 EST
Below commits fix the issue:
http://git.fedorahosted.org/git/?p=pulp.git;a=commit;h=3e27c3f9e3b2d425cce8051c4759194a7a3606c6

http://git.fedorahosted.org/git/?p=pulp.git;a=commit;h=fda46036835c1ab81603c6772bfa5fec8927b7db

http://git.fedorahosted.org/git/?p=pulp.git;a=commit;h=b16cc39c5029a0e08a159491fb57257e7d0550a1

Here's a summary of the problems.
1) For newly created repos that have never been synced, we were not specifying the value for repomd.xml in the repo object stored in mongo.  That resulted in pulp never attempting to generate package group metadata

2) Assuming package group metadata did exist and was generated, if we uploaded a single package to that repo we were trashing the existing package group metadata.   Group metadata would not be regenerated until a package group modification happened.  

Both of these issues should now be fixed.
Comment 7 Jay Dobies 2010-11-11 12:23:53 EST
Fixed in 0.83.
Comment 8 Preethi Thomas 2010-12-06 16:18:45 EST
verified

[root@10 ~]# rpm -q pulp
pulp-0.0.111-1.fc14.noarch


[root@10 ~]# pulp-admin packagegroup install --consumerid=10.16.79.211 --id=pulp_test_group
Created task id: 2c1133b0-017e-11e0-bbb2-54520056c158
..
[['pulp_test_group']] installed on 10.16.79.211

[root@10 ~]# rpm -q patb
patb-0.1-1.x86_64
[root@10 ~]# rpm -q emoticons
emoticons-0.1-1.x86_64
[root@10 ~]#
Comment 9 Preethi Thomas 2011-08-16 10:01:28 EDT
Closing with Community Release 15

pulp-0.0.223-4.

Note You need to log in before you can comment on or make changes to this bug.